function onTalk()
	local changeMusicChoice = 0
	disableMovement()
	disableRetry()
	waitUntilOnGround()
	if (getFlag("cassetteAltSong") == false) then -- If deltarune's original is playing
		say("CC_Deltarune_cassette")
		changeMusicChoice = choice("CC_Deltarune_cassetteAnswer1","CC_Deltarune_cassetteAnswer2")
		if (changeMusicChoice == 1) then -- Changes song to Inferno's version
			say("CC_Deltarune_cassetteFinal")
			setFlag("cassetteAltSong",true)
			playMusic("event:/CC/CC_Deltarune/CC_Deltarune_cybercover")
		end
	else -- If Inferno's version is playing
		say("CC_Deltarune_cassetteChange")
		changeMusicChoice = choice("CC_Deltarune_cassetteAnswer3","CC_Deltarune_cassetteAnswer2")
		if (changeMusicChoice == 1) then -- Changes song to deltarune's original
			say("CC_Deltarune_cassetteFinal2")
			setFlag("cassetteAltSong",false)
			playMusic("event:/CCDeltarune/cyber_City")
		end
	end
end
function onEnd()
	enableMovement()
	enableRetry()
end